package _VisualDVM.TestingSystem.Common.Group;
import Common.Utils.Utils_;
import _VisualDVM.Global;
import Common.Visual.Menus.DataMenuBar;
import Common.Visual.Controls.MenuBarButton;
import _VisualDVM.TestingSystem.Common.Group.UI.AddGroupMenu;
import _VisualDVM.TestingSystem.Common.Group.UI.EditGroupMenu;
import Visual_DVM_2021.Passes.PassCode;

import javax.swing.*;
public class GroupsMenuBar extends DataMenuBar {
    public GroupsMenuBar() {
        super("группы",
                PassCode.SynchronizeTests,
                PassCode.ConvertCorrectnessTests
                );
        addMenus(new AddGroupMenu(), new EditGroupMenu());
        addPasses(PassCode.DeleteGroup);
        add(new JSeparator());
        add(new MenuBarButton() {
            {
                setText("Свои");
                setToolTipText("Отображать только группы тестов авторства пользователя");
                Mark();
                addActionListener(e -> {
                    GroupsDBTable.filterMyOnly = !GroupsDBTable.filterMyOnly;
                    Mark();
                    Global.testingServer.db.groups.ShowUI();
                });
            }
            public void Mark() {
                setIcon(Utils_.getIcon(GroupsDBTable.filterMyOnly ? "/icons/Pick.png" : "/icons/NotPick.png"));
            }
        });
    }
}
